slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetUp

Sets up all the internal data structures necessary for the execution of the eigensolver. Then calls STSetUp() for any set-up operations associated to the ST object.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetUp(EPS eps)

Collective

### Input Parameter

| eps | - eigenproblem solver context

### Notes

This function need not be called explicitly in most cases, since EPSSolve() calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

### See Also

EPSCreate(), EPSSolve(), EPSDestroy(), STSetUp(), EPSSetInitialSpace()

### Level

developer

### Location

src/eps/interface/epssetup.c

### Examples

src/eps/tutorials/ex19.c
src/eps/tutorials/ex25.c
src/eps/tutorials/ex47.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages